Skip to main content
GET
Flow Alerts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

limit
integer
default:100

How many items to return. Default: 100. Max: 200. Min: 1.

Required range: 1 <= x <= 200
Example:

10

is_ask_side
boolean
default:true

Boolean flag whether a transaction is ask side.

Example:

true

is_bid_side
boolean
default:true

Boolean flag whether a transaction is bid side.

Example:

true

Response

Representation of a flow alert.

alert_rule
string

The name of the alert rule.

Example:

"RepeatedHits"

all_opening_trades
boolean
Example:

false

created_at
string

A UTC timestamp.

Example:

"2023-12-12T16:35:52.168Z"

delta
number<double> | null

Size weighted delta of all transactions that make up the flow alert. Null when unavailable.

expiry
string

The contract expiry date in ISO format.

Example:

"2023-12-22T00:00:00.000Z"

expiry_count
integer

The amount of expiries belonging to the trade. This is only greater than 1 if it is a multileg trade.

Example:

2

gamma
number<double> | null

Size weighted gamma of all transactions that make up the flow alert. Null when unavailable.

has_floor
boolean
Example:

false

has_multileg
boolean

Whether the trade is a multileg trade.

Example:

false

has_singleleg
boolean

Whether the trade is a singleleg trade.

Example:

true

has_sweep
boolean

Whether the trade is a sweep.

Example:

true

issue_type
enum<string>

The issue type of the ticker.

Available options:
Common Stock,
ETF,
Index,
ADR
Example:

"Common Stock"

iv
number<double> | null

Size weighted implied volatility of all transactions that make up the flow alert. Null when unavailable.

open_interest
any
option_chain
string

The option symbol of the contract.

You can use the following regex to extract underlying ticker, option type, expiry & strike: ^(?<symbol>[\w]*)(?<expiry>(\d{2})(\d{2})(\d{2}))(?<type>[PC])(?<strike>\d{8})$

Keep in mind that the strike needs to be multiplied by 1,000.

price
any
rho
number<double> | null

Size weighted rho of all transactions that make up the flow alert. Null when unavailable.

strike
string

The contract strike.

Example:

"375"

theo
number<double> | null

Size weighted theoretical option price of all transactions that make up the flow alert. Null when unavailable.

theta
number<double> | null

Size weighted theta of all transactions that make up the flow alert. Null when unavailable.

ticker
any
total_ask_side_prem
any
total_bid_side_prem
any
total_premium
any
total_size
any
trade_count
any
type
enum<string>

The contract type.

Available options:
call,
put
Example:

"call"

underlying_price
any
vega
number<double> | null

Size weighted vega of all transactions that make up the flow alert. Null when unavailable.

volume
any
volume_oi_ratio
any
Last modified on September 29, 2026